define Routed = [ 0.0.0.0/0-, 91.204.4.0/22{24,32}, 195.160.168.0/23+ ];
define Unrouted_global = [ 10.0.0.0/8+, 172.16.0.0/12+ ];

define potato_ospf1 = BEST;
define potato_ospf2 = HOT;

function fn_instance_to_potato (int inst) {
 	case inst {
		1: return potato_ospf1;
		2: return potato_ospf2;
		else: return BEST;
	}
}

function fn_proto_to_instance (string from_proto) {
	if from_proto = "ospf1" then return 1; else
	if from_proto = "ospf2" then return 2; else
	if from_proto = "ospf3" then return 3; else
	if from_proto = "ospf4" then return 4; else
	if from_proto = "ospf5" then return 5; else
	if from_proto = "ospf6" then return 6; else
	if from_proto = "ospf7" then return 7; else
	if from_proto = "ospf8" then return 8; else
	if from_proto = "ospf9" then return 9; else
	if from_proto = "ospf10" then return 10; else
	if from_proto = "ospf11" then return 11; else
	if from_proto = "ospf12" then return 12; else
	if from_proto = "ospf13" then return 13; else
	if from_proto = "ospf14" then return 14; else
	if from_proto = "ospf15" then return 15; else
	if from_proto = "ospf16" then return 16; else
	if from_proto = "ospf17" then return 17; else
	if from_proto = "ospf18" then return 18; else
	if from_proto = "ospf19" then return 19; else
	if from_proto = "ospf20" then return 20; else
	if from_proto = "ospf21" then return 21; else
	if from_proto = "ospf22" then return 22; else
	if from_proto = "ospf23" then return 23; else
	if from_proto = "ospf24" then return 24; else
	if from_proto = "ospf25" then return 25; else
	if from_proto = "ospf26" then return 26; else
	if from_proto = "ospf27" then return 27; else
	return 0;
}

function fn_instance_to_bgpospf (int inst) {
 	case inst {
		1: return "bgp1ospf1";
		2: return "bgp2ospf2";
		3: return "bgp3ospf3";
		4: return "bgp4ospf4";
		5: return "bgp5ospf5";
		6: return "bgp6ospf6";
		7: return "bgp7ospf7";
		8: return "bgp8ospf8";
		9: return "bgp9ospf9";
		10: return "bgp10ospf10";
		11: return "bgp11ospf11";
		12: return "bgp12ospf12";
		13: return "bgp13ospf13";
		14: return "bgp14ospf14";
		15: return "bgp15ospf15";
		16: return "bgp16ospf16";
		17: return "bgp17ospf17";
		18: return "bgp18ospf18";
		19: return "bgp19ospf19";
		20: return "bgp20ospf20";
		21: return "bgp21ospf21";
		22: return "bgp22ospf22";
		23: return "bgp23ospf23";
		24: return "bgp24ospf24";
		25: return "bgp25ospf25";
		26: return "bgp26ospf26";
		27: return "bgp26ospf27";
		else: return "bgp?ospf?";
	}
}
